Summary: Gtapecalc is a calculator utility with an output window
Name: gtapecalc
Version: 1.1.1
Release: 7_GAN
Group: Applications/Utilities
License: GNU Public License
Source: gtapecalc-%{version}.tar.gz
URL: http://gtapecalc.sourceforge.net/
BuildRoot:  %{_tmppath}/%{name}-%{version}-root
Requires: gtk2 >= 2.0

Patch1: gtapecalc-1.1.1-F7.patch

%description
Gtapecalc is a simple calculator with an output window that acts like 
the paper tape on a desktop calculator. You can add and edit notes on
each line to comment your calculations. The "tapes" you make can be 
saved and viewed later, and printed out if you need a paper copy. 

%prep
%setup
%patch1 -p1 -b .F7

%build
./configure --prefix=%{buildroot}/usr --sysconfdir=%{buildroot}/etc
#eww.
sed -ic '1,$s|%{buildroot}||' config.h
make

%install
rm -rf %{buildroot}
make install
make install-data

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
/etc/X11/applnk/Utilities/gtapecalc.desktop
/usr/bin/gtapecalc
/usr/share/gtapecalc/pixmaps/question.xpm
/usr/share/gtapecalc/pixmaps/exclamation.xpm
/usr/share/gtapecalc/pixmaps/error.xpm
/usr/share/gtapecalc/pixmaps/gtapecalc.xpm
%doc /usr/share/gtapecalc/doc/help/gtapecalc-text.png
%doc /usr/share/gtapecalc/doc/help/gtc-1.html
%doc /usr/share/gtapecalc/doc/help/gtc-2.html
%doc /usr/share/gtapecalc/doc/help/gtc-3.html
%doc /usr/share/gtapecalc/doc/help/gtc-4.html
%doc /usr/share/gtapecalc/doc/help/index.html
%doc /usr/share/gtapecalc/doc/README
%doc AUTHORS COPYING ChangeLog README TODO

%changelog
* Thu May 28 2009 Tony Nelson <tonynelson@georgeanelson.com> - 1.1.1-7_GAN
- Rebuild for F9
* Sat Nov 17 2007 Tony Nelson <tonynelson@georgeanelson.com> - 1.1.1-6_GAN
- Help works.
* Fri Nov 16 2007 Tony Nelson <tonynelson@georgeanelson.com> - 1.1.1-5_GAN
- Eat calculator keypresses.
- Quench error about dad's missing file.
* Fri Nov 16 2007 Tony Nelson <tonynelson@georgeanelson.com> - 1.1.1-4_GAN
- Disable tree view searching in tape.
* Fri Nov 16 2007 Tony Nelson <tonynelson@georgeanelson.com> - 1.1.1-3_GAN
- Initial post.
- Distinguish from other builders with "_GAN" suffix
* Thu Nov 15 2007 Tony Nelons <tonynelson@georgeanelson.com> - 1.1.1-2
- Build on F7.
